PSPOLAR(1)

NAME
pspolar - Plot polarities on the inferior focal half-sphere on maps

SYNOPSIS
pspolar files -Jparameters -Rwest/east/south/north[r] -Dlon/lat -Msize -S<symbol><size> [ -B[p|s]parameters ] [ -Clon/lat[/dash_width/pointsize] ] [ -Fcolor ] [ -Gfill ] [ -gfill ] [ -H[i][nrec] ] [ -h ] [ -K ] [ -L ] [ -N ] [ -O ] [ -P ] [ -sHalf-size[v[[v_width/h_length/h_width/shape]][g[color]][l] [ -Tangle/form/justify/fontsize ] [ -tpen ] [ -U[just/dx/dy/][c|label] ] [ -V ] [ -Wpen ] [ -X[a|c|r][x-shift[u]] ] [ -Y[a|c|r][y-shift[u]] ] [ -ccopies ]

DESCRIPTION
pspolar reads data values from files [or standard input] and generates PostScript code that will plot stations on focal mechanisms on a map. The PostScript code is written to standard output.

Parameters are expected to be in the following columns

1,2,3,4
    station_code, azimuth, take-off angle, polarity

    polarity:
    - compression can be c,C,u,U,+
    - rarefaction can be d,D,r,R,-
    - not defined is anything else

ARGUMENTS
files List one or more file-names. If no files are given, pspolar will read standard input.

-J  Selects the map projection. Scale is UNIT/degree, 1:xxxxx, or width in UNIT (upper case modifier). UNIT is cm, inch, or m, depending on the MEASURE_UNIT setting in .gmtdefaults4, but this can be overridden on the command line by appending c, i, or m to the scale/width value. When central meridian is optional, default is center of longitude range on -R option. Default standard parallel is the equator. For map height, max dimension, or min dimension, append h, +, or - to the width, respectively.
    More details can be found in the psbasemap man pages.

    CYLINDRICAL PROJECTIONS:

    -Jclon0/lat0/scale (Cassini)
    -Jcyl_stere/[lon0/[lat0/]]scale (Cylindrical Stereographic)
    -Jj[lon0/]scale (Miller)
    -Jm[lon0/[lat0/]]scale (Mercator)
    -Jmlon0/lat0/scale (Mercator - Give meridian and standard parallel)
    -Jo[a]lon0/lat0/azimuth/scale (Oblique Mercator - point and azimuth)
    -Jo[b]lon0/lat0/lon1/lat1/scale (Oblique Mercator - two points)
    -Joclon0/lat0/lonp/latp/scale (Oblique Mercator - point and pole)
    -Jq[lon0/[lat0/]]scale (Cylindrical Equidistant)
    -Jtlon0/[lat0/]scale (TM - Transverse Mercator)
    -Juzone/scale (UTM - Universal Transverse Mercator)
    -Jy[lon0/[lat0/]]scale (Cylindrical Equal-Area)

    CONIC PROJECTIONS:

    -Jblon0/lat0/lat1/lat2/scale (Albers)
    -Jdlon0/lat0/lat1/lat2/scale (Conic Equidistant)
    -Jllon0/lat0/lat1/lat2/scale (Lambert Conic Conformal)
    -Jpoly/[lon0/[lat0/]]scale ((American) Polyconic)

    AZIMUTHAL PROJECTIONS:

    -Jalon0/lat0[/horizon]/scale (Lambert Azimuthal Equal-Area)
    -Jelon0/lat0[/horizon]/scale (Azimuthal Equidistant)
    -Jflon0/lat0[/horizon]/scale (Gnomonic)
    -Jglon0/lat0[/horizon]/scale (Orthographic)
    -Jglon0/lat0/altitude/azimuth/tilt/twist/Width/Height/scale (General Perspective).
    -Jslon0/lat0[/horizon]/scale (General Stereographic)

    MISCELLANEOUS PROJECTIONS:

    -Jh[lon0/]scale (Hammer)
    -Ji[lon0/]scale (Sinusoidal)
    -Jkf[lon0/]scale (Eckert IV)
    -Jk[s][lon0/]scale (Eckert VI)
    -Jn[lon0/]scale (Robinson)
    -Jr[lon0/]scale (Winkel Tripel)
    -Jv[lon0/]scale (Van der Grinten)
    -Jw[lon0/]scale (Mollweide)

    NON-GEOGRAPHICAL PROJECTIONS:

    -Jp[a]scale[/origin][r|z] (Polar coordinates (theta,r))
    -Jxx-scale[d|l|ppow|t|T][/y-scale[d|l|ppow|t|T]] (Linear, log, and power scaling)

-R  west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands -Rg and -Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Alternatively, specify the name of an existing grid file and the -R settings (and grid spacing, if applicable) are copied from the grid.

-Dlongitude/latitude
    Maps the bubble at given longitude and latitude point.

-Msize
    Sets the size of the beach ball to plot polarities in. Size is in inch (unless c, i, m, or p is appended).

-S<symbol_type><size>
    Selects symbol_type and symbol size. Size is in inch (unless c, i, m, or p is appended). Choose symbol type from st(a)r, (c)ircle, (d)iamond, (h)exagon, (i)nverted triangle, (p)oint, (s)quare, (t)riangle, (x)cross.

OPTIONS
No space between the option flag and the associated arguments.

-B  Sets map boundary annotation and tickmark intervals; see the psbasemap man page for all the details.

-C  Offsets focal mechanisms to the latitude and longitude specified in the last two columns of the input file.

-Efill
    Selects filling of symbols for stations in extensive quadrants. Set the shade (0-255) or color (r/g/b) [Default is 250/250/250]. If -Efill is the same as -Ffill, use -e to outline.

-e[pen]
    Outline symbols in extensive quadrants using pen or the default pen (see -W).

-Ffill
    Sets background color of the beach ball. Default is no fill.

-f[pen]
    Outline the beach ball using pen or the default pen (see -W).

-Gfill
    Selects filling of symbols for stations in compressional quadrants. Set the shade (0-255) or color (r/g/b) [Default is 0/0/0].

-g[pen]
    Outline symbols in compressional quadrants using pen or the default pen (see -W).

-H  Input file(s) has header record(s). If used, the default number of header records is N_HEADER_RECS. Use -Hi if only input data should have header records [Default will write out header records if the input data have them]. Blank lines and lines starting with # are always skipped.

-h  Use special format derived from HYPO71 output

-K  More PostScript code will be appended later [Default terminates the plot system].

-N  Does NOT skip symbols that fall outside map border [Default plots points inside border only].

-O  Selects Overlay plot mode [Default initializes a new plot system].

-P  Selects Portrait plotting mode [Default is Landscape, see gmtdefaults to change this].

-shalf-size/[V[v_width/h_length/h_width/shape]][Gr/g/b][L]
    Plots S polarity azimuth.
    S polarity is in last column. It may be a vector (V option) or a segment. Give half-size,v_width,h_length,h_width in inch (unless c, i, m, or p is appended). [L] option is for outline.

-Tangle/form/justify/fontsize in points
    To write station code. [Default is 0.0/0/5/12].

-tpen
    Set pen color to write station code. Default uses the default pen (see -W).

-U  Draw Unix System time stamp on plot. By adding just/dx/dy/, the user may specify the justification of the stamp and where the stamp should fall on the page relative to lower left corner of the plot. For example, BL/0/0 will align the lower left corner of the time stamp with the lower left corner of the plot. Optionally, append a label, or c (which will plot the command string.). The GMT parameters UNIX_TIME, UNIX_TIME_POS, and UNIX_TIME_FORMAT can affect the appearance; see the gmtdefaults man page for details. The time string will be in the locale set by the environment variable TZ (generally local time).

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-W  Set current pen attributes
     [Defaults: width = 1, color = 0/0/0, texture = solid].

-X -Y
    Shift plot origin relative to the current origin by (x-shift,y-shift) and optionally append the length unit (c, i, m, p). You can prepend a to shift the origin back to the original position after plotting, or prepend r [Default] to reset the current origin to the new location. If -O is used then the default (x-shift,y-shift) is (0,0), otherwise it is (r1i, r1i) or (r2.5c, r2.5c). Alternatively, give c to align the center coordinate (x or y) of the plot with the center of the page based on current page size.

-:  Toggles between (longitude,latitude) and (latitude,longitude) input and/or output. [Default is (longitude,latitude)]. Append i to select input only or o to select output only. [Default affects both].

-c  Specifies the number of plot copies. [Default is 1].

EXAMPLES

pspolar -R239/240/34/35.2 -JM8 -N -Sc0.4 -H1 -D239.5/34.5 -M5 <<END>! test.ps
stat azim ih pol
0481 11 147 c
6185 247 120 d
0485 288 114 +
0490 223 112 -
0487 212 109 .
END
or
pspolar -R239/240/34/35.2 -JM8 -N -Sc0.4 -H1 -D239.5/34.5 -M5 -h <<END>! test.ps
Date Or. time stat azim ih
910223 1 22 0481 11 147 ipu0
910223 1 22 6185 247 120 ipd0
910223 1 22 0485 288 114 epu0
910223 1 22 0490 223 112 epd0
910223 1 22 0487 212 109 epu0
END

SEE ALSO
GMT(1), psbasemap(1), psxy(1)

REFERENCES
Bomford, G., Geodesy, 4th ed., Oxford University Press, 1980.
Aki, K. and P. Richards, Quantitative Seismology, Freeman, 1980.

AUTHORS
Genevieve Patau
Seismology Dept.
Institut de Physique du Globe de Paris
(patau@ipgp.jussieu.fr)